Proposal Poll
Retrieves Proposal Response based on unique productId,manufacturerId,productGroupId and requestId
Query Parameters
- 200
- 400
- 500
Successful Response
Schema
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
status object
Possible values: <= 50 characters
Status code
Status message
error object[]
Error code
Error message
ISBTracking object
Transaction Id generated by 1SB for each proposal submission
Quote ID generated by 1SB for Single quote
varFields object[]
Additional fields for 1SB tracking section
Name of additional field
Value of additional field
ManufacturerTracking object
quotation ID
proposal application number
policy number
varFields object[]
Additional fields for manufacturerTracking section
Name of additional field
Value of additional field
URL object
policy URL
URL for Payment redirection to manufacturers website
URL given by manufacturer to resume to proposal process on their website
varFields object[]
Additional fields for URL section
Name of additional field
Value of additional field
medicals object
Is medical check up required for submitted proposal? (Yes/ No)
What type of medical check is applicable. example: Physical medical, tele medical, etc.
varFields object[]
Additional fields for URL section
Name of additional field
Value of additional field
varFields object[]
Additional fields for proposal response
Name of additional field
Value of additional field
{
"status": {
"code": 200,
"message": "Success"
},
"error": [
{
"code": "string",
"message": "string"
}
],
"ISBTracking": {
"1SBproposalReferenceId": "string",
"1SBQuoteRequestID": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
},
"ManufacturerTracking": {
"quoteID": "string",
"applicationNumber": "string",
"policyNumber": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
},
"URL": {
"policyURL": "string",
"paymentURL": "string",
"resumeJourneyURL": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
},
"medicals": {
"isMedicalReq": "string",
"typeOfMedical": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
},
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}